<template>
  <div class="container">

    <div id="action-btns">
      <button class="btn " id="up-btn">Modifier</button>
      <button class="btn " id="del-btn" @click="handleDelete()">Supprimer</button>

    </div>
    <div v-if="loading">Loading...</div>
    <div v-if="!loading && post">
      <h2 class="my-5">{{ post.title }}</h2>
      <p> <i>posted on {{ post.date }}</i></p>  <p>by {{ post.author }}</p>
      <img :src="post.image" alt="votre image" class="img-fluid rounded">

      <div id="text-container">

        <p class="my-5">Lorem ipsum dolor, sit amet consectetur adipisicing elit. Minus nostrum quam consectetur
          pariatur
          consequatur architecto deleniti repellendus voluptatibus ad. Asperiores modi illum similique odit fuga officia
          quo cumque distinctio voluptate!
          Lorem ipsum dolor sit amet consectetur adipisicing elit. Harum accusantium corrupti sapiente animi quae odit,
          facilis, nesciunt ipsum perferendis repudiandae magnam modi enim deserunt nemo. Dignissimos nihil possimus
          reiciendis natus. <br><br>

          Lorem, ipsum dolor sit amet consectetur adipisicing elit. Eos praesentium reprehenderit eveniet. Provident
          quidem omnis culpa, facilis corrupti voluptas quos ex quia animi incidunt quasi praesentium. Ad voluptates
          placeat rem!
          Sequi ea laborum quidem vitae! Laboriosam rem dolore illum aperiam illo quibusdam minima quod delectus ducimus
          quis incidunt accusantium ratione dicta, vel earum non! Officiis esse quibusdam explicabo neque beatae.
          Ipsa a atque adipisci incidunt rerum unde numquam consectetur deleniti iusto? Illo nobis dolore, nemo dolorum
          dolor, praesentium exercitationem totam amet corrupti odit doloremque sit explicabo pariatur provident
          excepturi
          deleniti?<br><br>
          Maiores, corrupti neque rem consectetur enim atque vero? Eos culpa placeat fugiat odit, facere dolor alias ut!
          Harum, minus, optio molestiae sed tempora sunt odit dolore facere dolor magni quas!
        </p>
        
      </div>
     
    </div>

    <CommentForm />
  </div>
</template>

<script setup lang="ts">
import { deletePost, fetchPostByID, updatePost } from "@/services/posts-service";
import type { Post } from "@/entities";
import { ref, onMounted } from "vue";
import { useRoute } from "vue-router";
import { useRouter } from 'vue-router';
import CommentForm from "@/components/CommentForm.vue";

const router = useRouter();

function editPost() {
  const postId = route.params.id;
  router.push(`/post/edit/${postId}`);
  console.log("test")
}

async function handleDelete() {
  await deletePost(post.value?.id);
  router.push('/');
}


const route = useRoute();
const post = ref<Post | null>(null);
const loading = ref(true);

onMounted(async () => {
  const postId = Number(route.params.id);
  post.value = await fetchPostByID(postId);
  loading.value = false;
});
</script>

<style scoped>
#up-btn,
#del-btn {
  padding: 10 20 10 20;
  margin: 10px;
  border: rgb(43, 41, 41) 1px solid;
}

#up-btn {
  background-color: rgb(5, 5, 49);
  color: white;
}

#del-btn {
  background-color: rgb(117, 6, 6);
  color: white;
}

#up-btn:hover {
  background-color: white;
  color: blue;
}

#del-btn:hover {
  background-color: white;
  color: red;
}

#action-btns {
  display: flex;
  justify-content: end;
}

#text-container {

margin-left: 50px;
margin-right: 50px;
}
</style>